//---------------------------------------------------------------------------
#ifndef Demo5FrmH
#define Demo5FrmH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "RichView.hpp"
#include "RVScroll.hpp"
#include "RVStyle.hpp"
#include <vcl\Menus.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TfrmDemo5 : public TForm
{
__published:	// IDE-managed Components
    TPanel *pan;
    TEdit *edit;
    TRichView *rv;
    TRVStyle *rvs;
    TPopupMenu *pm;
    TMenuItem *mitFreezescrolling;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall FormResize(TObject *Sender);
    void __fastcall editKeyPress(TObject *Sender, char &Key);
    void __fastcall rvSelect(TObject *Sender);
    void __fastcall pmPopup(TObject *Sender);
    void __fastcall mitFreezescrollingClick(TObject *Sender);
    void __fastcall rvJump(TObject *Sender, int id);
    
    void __fastcall FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
private:	// User declarations
public:		// User declarations
    __fastcall TfrmDemo5(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TfrmDemo5 *frmDemo5;
//---------------------------------------------------------------------------
#endif
